Join command does not join

Hi,I am using Bricscad 9.2.15 and trying to join two lines using JOIN command but it does not join. I have gone through the help and as per that tried to do the same but still does not work, can you please guide me where i am going wrong or is there any problem with the command itself.Thanks in advanceSanjay.

Comments

  • The join command joins colinear lines and arcs sharing the the same center and radius. In V8 parallel lines could be joining too. The description of the join command in the Help refers to the V8 behaviour and therefore needs to be updated.To join two connected lines, you need the JOIN option of the edit polyline command (PEDIT). If you select a line you are asked to convert the line into a polyline. Then type j or choose Join in the prompt box and select all lines, polylines and arcs you want to join into one single polyline. All entities must be connected.

  • I often had trouble with lines which the program didn't consider to be in line although they were, so I wrote the routine below. However, Join seems to work consistently lately. I can't recall having the trouble for some time. They need to be in the same Z plane too.

    (defun c:myjoin (/ a b ai va vb dst1 dst2 a1 b1 a2 b2 ent1 ent2end1 end2 dst3 dst4 oldlst newlst)(defun mid (w z)(LIST (/ (+ (CAR w) (CAR z))2) (/ (+ (CADR w) (CADR z))2)))(setvar "cmdecho" 0)(setq a (cadr (entsel "\nSelect two lines to be joined: ")))(setq b (cadr (entsel)))(setq ai (mid a b))(SETQ va (ssget a))(setq vb (ssget b))(setq a1 (cdr (assoc 10 (entget (setq ent1 (ssname va 0))))))(setq b1 (cdr (assoc 11 (entget (ssname va 0)))))(setq a2 (cdr (assoc 10 (entget (setq ent2 (ssname vb 0))))))(setq b2 (cdr (assoc 11 (entget (ssname vb 0)))))(setq dst1 (distance ai a1))(setq dst2 (distance ai b1))(if (< dst1 dst2)(setq end1 b1)(setq end1 a1))(setq dst3 (distance ai a2))(setq dst4 (distance ai b2))(if (< dst3 dst4)(setq end2 b2)(setq end2 a2))(setq oldlst (entget ent1))(setq newlst (subst (cons 10 end1)(assoc 10 oldlst) oldlst))(setq newlst (subst (cons 11 end2)(assoc 11 newlst) newlst))(entdel ent2)(entdel ent1)(entmake (cdr newlst))(princ)(defun C:J () (C:join)))
  • I use to make a button with a command like:PEDIT;Yes;Join;All;;

  • I use to make a button with a command like:PEDIT;\Yes;Join;All;;

This discussion has been closed.